| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
TypeIdentfierWithSize Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the structure TypeIdentfierWithSize defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | TypeIdentfierWithSize ()
| Default constructor.
eProsima_user_DllExport | ~TypeIdentfierWithSize ()
| Default destructor.
eProsima_user_DllExport | TypeIdentfierWithSize (const TypeIdentfierWithSize &x)
| Copy constructor.
eProsima_user_DllExport | TypeIdentfierWithSize (TypeIdentfierWithSize &&x) noexcept
| Move constructor.
eProsima_user_DllExport TypeIdentfierWithSize & | operator= (const TypeIdentfierWithSize &x)
| Copy assignment.
eProsima_user_DllExport TypeIdentfierWithSize & | operator= (TypeIdentfierWithSize &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const TypeIdentfierWithSize &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const TypeIdentfierWithSize &x) const
| Comparison operator.
eProsima_user_DllExport void | type_id (const TypeIdentifier &_type_id)
| This function copies the value in member type_id.
eProsima_user_DllExport void | type_id (TypeIdentifier &&_type_id)
| This function moves the value in member type_id.
eProsima_user_DllExport const TypeIdentifier & | type_id () const
| This function returns a constant reference to member type_id.
eProsima_user_DllExport TypeIdentifier & | type_id ()
| This function returns a reference to member type_id.
eProsima_user_DllExport void | typeobject_serialized_size (uint32_t _typeobject_serialized_size)
| This function sets a value in member typeobject_serialized_size.
eProsima_user_DllExport uint32_t | typeobject_serialized_size () const
| This function returns the value of member typeobject_serialized_size.
eProsima_user_DllExport uint32_t & | typeobject_serialized_size ()
| This function returns a reference to member typeobject_serialized_size.

## Detailed Description

This class represents the structure TypeIdentfierWithSize defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ TypeIdentfierWithSize() [1/3]

eProsima_user_DllExport TypeIdentfierWithSize | ( |  | ) |

inline

Default constructor.

## ◆ ~TypeIdentfierWithSize()

eProsima_user_DllExport ~TypeIdentfierWithSize | ( |  | ) |

inline

Default destructor.

## ◆ TypeIdentfierWithSize() [2/3]

eProsima_user_DllExport TypeIdentfierWithSize | ( | const TypeIdentfierWithSize & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object TypeIdentfierWithSize that will be copied.

## ◆ TypeIdentfierWithSize() [3/3]

eProsima_user_DllExport TypeIdentfierWithSize | ( | TypeIdentfierWithSize && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object TypeIdentfierWithSize that will be copied.

## Member Function Documentation

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const TypeIdentfierWithSize & | x | ) | const

inline

Comparison operator.

Parameters

  x | TypeIdentfierWithSize object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport TypeIdentfierWithSize & operator= | ( | const TypeIdentfierWithSize & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object TypeIdentfierWithSize that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport TypeIdentfierWithSize & operator= | ( | TypeIdentfierWithSize && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object TypeIdentfierWithSize that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const TypeIdentfierWithSize & | x | ) | const

inline

Comparison operator.

Parameters

  x | TypeIdentfierWithSize object to compare.

## ◆ type_id() [1/4]

eProsima_user_DllExport TypeIdentifier & type_id | ( |  | ) |

inline

This function returns a reference to member type_id.

Returns
  Reference to member type_id

## ◆ type_id() [2/4]

eProsima_user_DllExport const TypeIdentifier & type_id | ( |  | ) | const

inline

This function returns a constant reference to member type_id.

Returns
  Constant reference to member type_id

## ◆ type_id() [3/4]

eProsima_user_DllExport void type_id | ( | const TypeIdentifier & | _type_id | ) |

inline

This function copies the value in member type_id.

Parameters

  _type_id | New value to be copied in member type_id

## ◆ type_id() [4/4]

eProsima_user_DllExport void type_id | ( | TypeIdentifier && | _type_id | ) |

inline

This function moves the value in member type_id.

Parameters

  _type_id | New value to be moved in member type_id

## ◆ typeobject_serialized_size() [1/3]

eProsima_user_DllExport uint32_t & typeobject_serialized_size | ( |  | ) |

inline

This function returns a reference to member typeobject_serialized_size.

Returns
  Reference to member typeobject_serialized_size

## ◆ typeobject_serialized_size() [2/3]

eProsima_user_DllExport uint32_t typeobject_serialized_size | ( |  | ) | const

inline

This function returns the value of member typeobject_serialized_size.

Returns
  Value of member typeobject_serialized_size

## ◆ typeobject_serialized_size() [3/3]

eProsima_user_DllExport void typeobject_serialized_size | ( | uint32_t | _typeobject_serialized_size | ) |

inline

This function sets a value in member typeobject_serialized_size.

Parameters

  _typeobject_serialized_size | New value for member typeobject_serialized_size

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp